Skip to main content

This page is also available as plain markdown · OpenAPI spec

List events

GET 

/events

List events

Request

Query Parameters

    pageinteger
    Example: 1
    perPageinteger
    Example: 1
    sortstring
    Example: -createdAt
    statusstring
    Example: published

200

Returns the owner's events
dataobject[]required
objectstring
idstring
slugstring
namestring
descriptionstring
statusstring
visibilitystring
accessModestring
timezonestring
locationSettingstring
featuredVideoUrlnullable
bookTextstring
tagsundefined[]
registrationLimitinteger
currencystring
featuredImageUrlnullable
imagesundefined[]
themestring
seatsEventKeynullable
likeCountinteger
urlstring
createdAtstring
updatedAtstring
objectstringrequired
pageintegerrequired
totalPagesintegerrequired
perPageintegerrequired
totalCountintegerrequired
hasNextPagebooleanrequired
Example: returns_filtered_and_sorted_events
{
  "data": [
    {
      "object": "event",
      "id": "91903664-f67c-4cb5-9467-5d33e1c2eae4",
      "slug": "my_event",
      "name": "My Event",
      "description": "Learn the basics of this 3 part tutorial",
      "status": "published",
      "visibility": "listed",
      "accessMode": "open",
      "timezone": "Eastern Time (US & Canada)",
      "locationSetting": "physical",
      "featuredVideoUrl": null,
      "bookText": "Get tickets",
      "tags": [],
      "registrationLimit": 0,
      "currency": "usd",
      "featuredImageUrl": null,
      "images": [],
      "theme": "light",
      "seatsEventKey": null,
      "likeCount": 0,
      "url": "http://www.viewcy.com/event/my_event",
      "createdAt": "2026-03-24T16:09:57Z",
      "updatedAt": "2026-03-24T16:09:57Z"
    }
  ],
  "object": "list",
  "page": 1,
  "totalPages": 1,
  "perPage": 25,
  "totalCount": 1,
  "hasNextPage": false
}
Example: returns_the_owner's_events
{
  "data": [
    {
      "object": "event",
      "id": "dc2c3b6a-fad2-4295-9669-4b834863bbc8",
      "slug": "draft_event",
      "name": "Draft Event",
      "description": "Learn the basics of this 3 part tutorial",
      "status": "draft",
      "visibility": "listed",
      "accessMode": "open",
      "timezone": "Eastern Time (US & Canada)",
      "locationSetting": "physical",
      "featuredVideoUrl": null,
      "bookText": "Get tickets",
      "tags": [],
      "registrationLimit": 0,
      "currency": "usd",
      "featuredImageUrl": null,
      "images": [],
      "theme": "light",
      "seatsEventKey": null,
      "likeCount": 0,
      "url": "http://www.viewcy.com/event/draft_event",
      "createdAt": "2026-03-24T16:09:58Z",
      "updatedAt": "2026-03-24T16:09:58Z"
    },
    {
      "object": "event",
      "id": "85f93522-928a-4e3e-be95-ebef811f5f66",
      "slug": "my_event",
      "name": "My Event",
      "description": "Learn the basics of this 3 part tutorial",
      "status": "published",
      "visibility": "listed",
      "accessMode": "open",
      "timezone": "Eastern Time (US & Canada)",
      "locationSetting": "physical",
      "featuredVideoUrl": null,
      "bookText": "Get tickets",
      "tags": [],
      "registrationLimit": 0,
      "currency": "usd",
      "featuredImageUrl": null,
      "images": [],
      "theme": "light",
      "seatsEventKey": null,
      "likeCount": 0,
      "url": "http://www.viewcy.com/event/my_event",
      "createdAt": "2026-03-24T16:09:58Z",
      "updatedAt": "2026-03-24T16:09:58Z"
    }
  ],
  "object": "list",
  "page": 1,
  "totalPages": 1,
  "perPage": 25,
  "totalCount": 2,
  "hasNextPage": false
}

401

Returns 401
objectstringrequired
statusintegerrequired
messagestringrequired
Example: returns_401
{
  "object": "error",
  "status": 401,
  "message": "Authentication required"
}